unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ValEdit;

type
  TForm1 = class(TForm)
    ValueListEditor1: TValueListEditor;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormShow(Sender: TObject);
begin
 ValueListEditor1.ItemProps[6].EditStyle:=esPickList;
 ValueListEditor1.ItemProps[6].PickList.Add('Москва');
 ValueListEditor1.ItemProps[6].PickList.Add('Питер');
 ValueListEditor1.ItemProps[6].PickList.Add('Ростов-на-Дону');
 ValueListEditor1.ItemProps[4].EditMask:='99/99/9999';
end;

end.
